org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPDeferredTemplateInstance

All Superinterfaces:
  org.eclipse.core.runtime.IAdaptable, IBinding, ICPPBinding, ICPPSpecialization, ICPPTemplateInstance

Deprecated.
use `ICPPDeferredClassInstance` instead.

    @Deprecated
    public interface ICPPDeferredTemplateInstance
    extends ICPPTemplateInstance

Restriction:
  This interface is not intended to be referenced by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateInstance

`EMPTY_TEMPLATE_INSTANCE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateInstance

`getTemplateArguments, getTemplateDefinition, isExplicitSpecialization`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPSpecialization

`getSpecializedBinding, getTemplateParameterMap`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`